stages:
  - build
  - test
  - deploy

build-job:
  stage: build
  script:
    - echo 'Construindo ambiente...'
    - echo 'Ambiente ta bala'

teste-unitario:
  stage: test
  script: 
    - echo 'Rodando testes...'
    - sleep 30
    - echo 'Testes finalizados'

lint-test:
  stage: test
  script: 
    - echo 'Rodando testes parte 2...'
    - sleep 10
    - echo 'Done'

deploy:
  stage: deploy
  script:
    - echo 'Subindo código'
    - echo 'Codigo no repositório'